body {
    background-color: #2e3226;
    color: #fff;
    font-size: 17px;
    text-align: left;
    text-rendering: optimizeLegibility;
    -webkit-font-smoothing: antialiased;
    font-family: Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    line-height: 1.4;
}
    
a {
    color: #a7d2a0;
    text-decoration: none;
    font-weight: bold;
    transition: color 0.2s;
}
    
a:hover {
    color: #fff;
}

p {
    margin: 5px;
}

#to-top {
    cursor: pointer;
    position: fixed;
    right: 30px;
    bottom: 20px;
    width: 48px;
    height: 48px;
    display: none;
    background: #a14642 url(/image/icon-up.png) no-repeat center;
    border: none;
    border-radius: 5px;
    transition: background-color 0.3s;
}

#to-top:hover {
    background-color: #8f3e36;
}

.head-bar {
    text-align: right;
}

.head-bar a {
    height: 45px;
    line-height: 45px;
    display: inline-block;
    padding: 0 15px;
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.25);
    transition: box-shadow 0.2s, background-color 0.2s;
}

.head-bar a:hover {
    box-shadow: inset 0 -20px 20px rgba(0, 0, 0, 0.3);
    background-color: #23301e;
}

.description {
    padding: 7px;
    text-align: left;
    margin: 7px;
    clear: both;
    background-color: #1c301f;
    background-image: url('/image/info.png');
    background-repeat: no-repeat;
    background-position: top 10px right 10px;
    background-size: 30px 30px;
    border-radius: 5px;
}

.tag-bar ul {
    text-align:right;    
}

.tag-bar li {
    display:inline-block;
}

.curent {
    padding:10px;
    font-weight:bold;  
}

h2 {
    font-size: 18px;
    margin: 6px 0;
}
    
.description a {
    text-decoration:underline;
}

h1 { 
    color:#fff;
    display:inline-block;
    font-size:19px;
    font-weight:700;
    margin: 7px;
    padding:3px;
}

.h1-bar {
    -webkit-box-shadow: 0 7px 20px -10px rgba(0, 0, 0, 1);
    -moz-box-shadow: 0 7px 20px -10px rgba(0, 0, 0, 1);
    box-shadow: 0 7px 20px -10px rgba(0, 0, 0, 1);
    min-height: 30px;
    text-align: left;
    width:100%; 
}

.head-menu { 
    background-color: #182a16;
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.25);
}
    
.logo {
    float:left;
}

.logo img {
    width:190px;
    height:40px;
}

.logo a { 
    background: url(/image/logo.webp) no-repeat center;
    display: block; 
    width:190px;
    height:45px;
    background-size: contain;
}

.ancor_list {
    display: flex;
    justify-content: center;
    gap: 10px;
    flex-wrap: wrap;
    position: relative;
    margin: 10px;
}

.column {
    width: 18%;
    position: relative;
}

.toggle-button {
    width: 100%;
    padding: 10px;
    background-color: #182a16;
    color: white;
    border: none;
    cursor: pointer;
    text-align: left;
    font-size: 17px;
}

.toggle-button:hover {
    color: #a7d2a0;
    transition: color 0.3s ease, background-color 0.3s ease;
}

.links {
    list-style: none;
    padding: 10px;
    background-color: rgba(18, 18, 18);
    border: none;
    margin-top: 5px;
    display: none;
    width: 85%;
    position: absolute;
    top: 100%;
    left: 50%;
    transform: translateX(-50%);
    z-index: 10;
}

.links a {
    padding:5px;
    font-weight:normal;
    display:block;
}

.mobile-menu-button {
    display: none;
    width: 100%;
    padding: 10px;
    background-color: rgba(18, 18, 18, 0.9);
    color: white;
    border: none;
    cursor: pointer;
    text-align: center;
    margin: 10px 0;
    font-size: 17px;
}

.content { 
    overflow: hidden; 
    margin: 0 auto; 
    width: 100%; 
    max-width:1600px;
}
    
ul,li {
    list-style:none;
    margin:0;
    padding:0;
}
    
.tag-bar {
    padding: 2px;
    text-align: left;
    margin:3px 4px 3px 4px;
}
    
.tag-bar li {
    margin: 2px; 
    background-color:#182a16;
    border-radius:5px;
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.2);
}

.tag-bar li a {
    display:block;
    padding: 10px; 
    font-weight:normal;
    }
    
.tag-bar li a:hover { 
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.1);
}
    
.nav-bar {
    padding: 2px;
    text-align: left;
    margin:3px 4px 3px 10px;
    clear:both;
}

.nav-bar li {
    margin: 2px; 
    background-color:#182a16;
    display:inline-block;
    border-radius:5px;
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.2);
}

.nav-bar li a {
    display:block;
    font-size: 17px; 
    padding: 10px; 
}
    
.nav-bar li a:hover { 
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.35);
}
    
.title-bar {
    color:#fff;
    clear:both;
    text-align: left;
    font-weight: bold;
    padding: 9px; 
    border-bottom: 1px solid #182a16;
    margin: 7px; 
}

.title-bar a {
    text-decoration:underline;
}
    
.thumbs { 
    position:relative;
    width:calc(33.33% - 2%);
    margin:0 1% 5px;
    float:left;
    background-color: #182a16;
    border-radius:5px;
}

.thumbs img { 
    width:100%;
    height:450px;
    display:block;
    border-radius:5px 5px 0 0;
    object-fit: cover;
}

.footer {
    padding-top: 5px;
    transform: translateZ(0);
    background: #1c301f;
    width: 100%;
    text-align: right;
    float: left;
    font-weight: 700;
    bottom: 0;
    box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.25);
}

.foot {
    overflow: hidden;
    margin: 0 auto;
    width: 100%;
    max-width: 1400px;
    padding: 15px 0;
    text-align: left;
}

.foot a {
    text-decoration: none;
    transition: color 0.3s;
}

.foot a:hover {
    text-decoration: underline;
}

@media all and (min-width:1020px) {
	h1 {  
		text-align: left; 
	}

	.foot {
		width: 996px; 
	}
}

@media screen and (min-width: 1400px){
	.thumbs {
		width:calc(25% - 2%)}
	}
	
@media screen and (max-width: 830px){
	.thumbs {
		width:calc(50% - 2%)
	}
}

@media (max-width: 768px) {
    .mobile-menu-button {
        display: block;
    }

    .ancor_list {
        display: none;
        flex-direction: column;
    }

    .ancor_list.open {
        display: flex;
    }

    .column {
        width: 100%;
    }

    .links {
        width: 90%;
        position: static;
        transform: none;
        margin: 0 auto;
    }
}

@media screen and (max-width: 480px) {
	.head-bar {
		text-align: center; 
	}
    
	.head-bar a {
		box-shadow: inset 0 -15px 15px rgba(0, 0, 0, 0.6);
	}

	.logo {
		width:100%;
	}

	.logo a { 
		width:100%;
		height:90px;
	}

	.thumbs {
		width:98%;
	}

	.thumbs img {
		height:auto;
	}
}